<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'doctorrequest',

    /*
     * Modules.
     */
    'modules'   => ['doctorrequest'],


    'doctorrequest'       => [
        'model'             => 'Litecms\Doctorrequest\Models\Doctorrequest',
        'table'             => 'doctorrequests',
        'presenter'         => \Litecms\Doctorrequest\Repositories\Presenter\DoctorrequestItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'id',  'patient_id',  'doctor_id',  'profile_id',  'status',  'department_id',  'notes',  'created_at',  'updated_at',  'deleted_at'],
        'translate'         => ['id',  'patient_id',  'doctor_id',  'profile_id',  'status',  'department_id',  'notes',  'created_at',  'updated_at',  'deleted_at'],

        'upload-folder'     => '/uploads/doctorrequest/doctorrequest',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
