<?php

namespace Litecms\Doctorrequest\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DoctorrequestItemTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Doctorrequest\Models\Doctorrequest $doctorrequest)
    {
        return [
            'id'                => $doctorrequest->getRouteKey(),
            'id'                => $doctorrequest->id,
            'patient_id'        => $doctorrequest->patient_id,
            'doctor_id'         => $doctorrequest->doctor_id,
            'profile_id'        => $doctorrequest->profile_id,
            'status'            => $doctorrequest->status,
            'department_id'     => $doctorrequest->department_id,
            'notes'             => $doctorrequest->notes,
            'created_at'        => $doctorrequest->created_at,
            'updated_at'        => $doctorrequest->updated_at,
            'deleted_at'        => $doctorrequest->deleted_at,
        ];
    }
}