@include('public::notifications')
<div class="container">
    <div class="row">
        <div class="col-md-6">
            <h4 class="text-dark  header-title m-t-0"> My Doctorrequests </h4>
        </div>
        <div class="col-md-6">
            <a href="{{ trans_url('/user/doctorrequest/doctorrequest/create') }}" class="btn btn-default pull-right"> {{ trans('cms.create')  }} Doctorrequest</a>
        </div>
    </div>
    <p class="text-muted m-b-25 font-13">
        Your awesome text goes here.
    </p>
    <hr>
    <div class="row">
        <div class="col-md-4 m-b-5 pull-right">
            {!!Form::open()->method('GET')!!}
            <div class="input-group">
              {!!Form::text('search')->type('search')->class('form-control')->placeholder('Search for...')->raw()!!}
              <span class="input-group-btn">
                <button class="btn btn-primary" type="submit">Search</button>
              </span>
            </div>
            {!! Form::close()!!}
        </div>
    </div>   
    
    <div class="table-responsive">
        <table class="table">
            <thead>
                <tr>
                    <th>{!! trans('doctorrequest::doctorrequest.label.patient_id')!!}</th>
                    <th>{!! trans('doctorrequest::doctorrequest.label.doctor_id')!!}</th>
                    <th>{!! trans('doctorrequest::doctorrequest.label.profile_id')!!}</th>
                    <th>{!! trans('doctorrequest::doctorrequest.label.status')!!}</th>
                    <th>{!! trans('doctorrequest::doctorrequest.label.department_id')!!}</th>
                    <th width="150">{!! trans('doctorrequest::doctorrequest.label.status')!!}</th>
                    <th width="150">Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach($doctorrequests as $doctorrequest)
                <tr>
                    <td>{{ $doctorrequest->patient_id }}</td>
                    <td>{{ $doctorrequest->doctor_id }}</td>
                    <td>{{ $doctorrequest->profile_id }}</td>
                    <td>{{ $doctorrequest->status }}</td>
                    <td>{{ $doctorrequest->department_id }}</td>
                    <td><span class="label status-{{ $doctorrequest->status }}"> {{ $doctorrequest->status }} </span></td>
                    <td>
                        <a href="{{ trans_url('/user') }}/doctorrequest/doctorrequest/{!! $doctorrequest->getRouteKey() !!}"> View </a>
                        <a href="{{ trans_url('/user') }}/doctorrequest/doctorrequest/{!! $doctorrequest->getRouteKey() !!}/edit"> Edit </a>
                        <a data-action="DELETE" 
                            data-href="{{ trans_url('/user') }}/doctorrequest/doctorrequest/{!! $doctorrequest->getRouteKey() !!}" 
                            href="trans_url('/user')/doctorrequest/doctorrequest/{!! $doctorrequest->getRouteKey() !!}"> 
                            Delete 
                        </a>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
    {{ $doctorrequests->links() }}
</div>