<?php

// Admin web routes  for doctorrequest
Route::group(['prefix' => trans_setlocale().'/admin/doctorrequest'], function () {
    Route::resource('doctorrequest', 'Litecms\Doctorrequest\Http\Controllers\DoctorrequestAdminWebController');
});

// Admin API routes  for doctorrequest
Route::group(['prefix' => trans_setlocale().'api/v1/admin/doctorrequest'], function () {
    Route::resource('doctorrequest', 'Litecms\Doctorrequest\Http\Controllers\DoctorrequestAdminApiController');
});

// User web routes for doctorrequest
Route::group(['prefix' => trans_setlocale().'/user/doctorrequest'], function () {
    Route::resource('doctorrequest', 'Litecms\Doctorrequest\Http\Controllers\DoctorrequestUserWebController');
});

// User API routes for doctorrequest
Route::group(['prefix' => trans_setlocale().'api/v1/user/doctorrequest'], function () {
    Route::resource('doctorrequest', 'Litecms\Doctorrequest\Http\Controllers\DoctorrequestUserApiController');
});

// Public web routes for doctorrequest
Route::group(['prefix' => trans_setlocale().'/doctorrequests'], function () {
    Route::get('/', 'Litecms\Doctorrequest\Http\Controllers\DoctorrequestPublicWebController@index');
    Route::get('/{slug?}', 'Litecms\Doctorrequest\Http\Controllers\DoctorrequestPublicWebController@show');
});

// Public API routes for doctorrequest
Route::group(['prefix' => trans_setlocale().'api/v1/doctorrequests'], function () {
    Route::get('/', 'Litecms\Doctorrequest\Http\Controllers\DoctorrequestPublicApiController@index');
    Route::get('/{slug?}', 'Litecms\Doctorrequest\Http\Controllers\DoctorrequestPublicApiController@show');
});

