<?php

namespace Litecms\Doctorrequest\Repositories\Eloquent;

use Litecms\Doctorrequest\Interfaces\DoctorrequestRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class DoctorrequestRepository extends BaseRepository implements DoctorrequestRepositoryInterface
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        'name'  => 'like'
    ];

    public function boot()
    {
        $this->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'));
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('package.doctorrequest.doctorrequest.model');
    }
}
